import request from '../utils/request'

export function receiveAssessmentGift(source) {
    return request({
        url: '/coupon/receiveAssessmentGift',
        method: 'get',
        params: { source },
    })
}

export function receiveSalesmanCoupon(key) {
    return request({
        url: '/coupon/receiveSalesmanCoupon',
        method: 'get',
        params: { key },
    })
}

export function getMyCoupons(data) {
    return request({
        url: '/coupon/getMyCoupons',
        method: 'post',
        data
    })
}

export function getCouponInfo(key) {
    return request({
        url: '/coupon/getCouponInfo',
        method: 'get',
        params: { key },
    })
}
